#ifndef _TRACK_H_
#define _TRACK_H_

#include "Image.h"
#include "search.h"	// EllipseState

void InitTracker(EllipseState *curr_state);
void track(ImageBGR24* img, EllipseState *curr_state);
void InitBuildingOfModel();
void StopBuildingOfModel();
void ReadModel(char *fname);
void CopyModelHistogramToRef();
void WriteModel(char *fname);
void ShowPixelListsAndOutlines();
void PrintBinContents(unsigned char b,
					  unsigned char g,
					  unsigned char r);
void SaveErrorFunctions();
void KeepStateInBounds(EllipseState *s);
void OverlayOutlineBGR24(Image8* img_in, 
						 EllipseState *state,
						 unsigned char r,
						 unsigned char g,
						 unsigned char b,
						 ImageBGR24 *img_out);
void OverlayOutline8(Image8* img_in, 
					 EllipseState *state,
					 unsigned char val,
					 Image8* img_out);

#endif  // _TRACK_H_
