// HeadtrackerDlg.h : header file
//

/////////////////////////////////////////////////////////////////////////////
// CHeadtrackerDlg dialog

class CHeadtrackerDlg : public CDialog
{
// Construction
public:
	CHeadtrackerDlg(CWnd* pParent = NULL);	// standard constructor

// Dialog Data
	//{{AFX_DATA(CHeadtrackerDlg)
	enum { IDD = IDD_HEADTRACKER_DIALOG };
	int		m_input_mode;
	BOOL	m_enable_recording;
	int		m_last_filenum;
	CString	m_basename;
	int		m_first_filenum;
	BOOL	m_tracking;
	BOOL	m_building_model;
	int		m_use_camera;
	int		m_input_file_bw_instead_of_color;
	int		m_filenum;
	//}}AFX_DATA

	void EnableDisableWindows();
	void EnableDisableMagDot(BOOL);

	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CHeadtrackerDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);	// DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:
	HICON m_hIcon;
	virtual void OnOK();

	// Generated message map functions
	//{{AFX_MSG(CHeadtrackerDlg)
	virtual BOOL OnInitDialog();
	afx_msg void OnSysCommand(UINT nID, LPARAM lParam);
	afx_msg void OnPaint();
	afx_msg HCURSOR OnQueryDragIcon();
	afx_msg void OnDestroy();
	afx_msg void OnSelchangeInputMode();
	afx_msg void OnCheckTracking();
	afx_msg void OnRecordSeq();
	afx_msg void OnTimer(UINT nIDEvent);
	afx_msg void OnPlaySeq();
	afx_msg void OnForward();
	afx_msg void OnBackward();
	afx_msg void OnStopPlaying();
	afx_msg void OnChangeBasename();
	afx_msg void OnLButtonDown(UINT nFlags, CPoint point);
	afx_msg void OnSaveModel();
	afx_msg void OnBuildingModel();
	afx_msg void OnShowPixelLists();
	afx_msg void OnCameraHome();
	afx_msg void OnLockWhiteBalance();
	afx_msg void OnUseGradient();
	afx_msg void OnUseColor();
	afx_msg void OnZoom();
	afx_msg void OnAdaptHistogram();
	afx_msg void OnCameraOff();
	afx_msg void OnCameraOn();
	afx_msg void OnGradientMag();
	afx_msg void OnGradientDot();
	afx_msg void OnTimeSequence();
	afx_msg void OnSaveErrorFunction();
	afx_msg void OnOpenManual();
	afx_msg void OnCloseManual();
	afx_msg void OnShowDetails();
	afx_msg void OnOverlayPrecomputedEllipses();
	afx_msg void OnColorOrBw();
	afx_msg void OnContinuePlaying();
	afx_msg void OnHScroll(UINT nSBCode, UINT nPos, CScrollBar* pScrollBar);
	afx_msg void OnInputFileBw();
	afx_msg void OnInputFileColor();
	afx_msg void OnKillfocusLast();
	afx_msg void OnKillfocusFirst();
	afx_msg void OnKillfocusBasename();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};
