#include "Image.h"
#include "search.h"	// EllipseState

#include "base.h" // ISIZE[XY]
//#define VARSIZE // prevents "filters.h" from defining ISIZEX & ISIZEY
//#include "filters.h"
//#include "gradient_sum.h"
#include "color_histogram.h"
#include "outline.h" // Outline
#include "search.h" // EllipseState
//#include "image_processing.h"
//#include "track.h"

void DrawHistogramBackprojection(ImageBGR24 *img_in,
								 ColorHistogram *ch_model, 
								 ColorHistogram *ch_background, 
								 Image8 *img_out);
void DrawColorLikelihoodMap(ImageBGR24 *img_in,
							ColorHistogram *ch, 
							Image8 *img_out);
void DrawPixelsInCertainColorBin(ImageBGR24 *img_in,
								 ColorHistogram *ch, 
								 int bin,
								 Image8 *img_out);
void DrawMask(int xcen, int ycen, OUTLINE *outline, Image8 *img_mask);
void ShowPixelListsAndOutlines2(SearchStrategy *ss,
							   PixelList **add_lists,
							   PixelList **sub_lists);
void OverlayOutlineBGR24(Image8* img_in, 
						 EllipseState *state,
						 unsigned char r,
						 unsigned char g,
						 unsigned char b,
						 ImageBGR24 *img_out);
void OverlayOutline8(Image8* img_in, 
					 EllipseState *state,
					 unsigned char val,
					 Image8* img_out);
